Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Interface CurrentOperations

All Superinterfaces:
  CurrentOperations

All Known Subinterfaces:
  Current

public interface CurrentOperations
extends CurrentOperations

The PortableServer::Current interface, derived from CORBA::Current, provides method implementations with access to the identity of the object on which the method was invoked. The Current interface is provided to support servants that implement multiple objects, but can be used within the context of POA-dispatched method invocations on any servant. To provide location transparency, ORBs are required to support use of Current in the context of both locally and remotely invoked operations. An instance of Current can be obtained by the application by issuing the CORBA::ORB::resolve_initial_references("POACurrent") operation. Thereafter, it can be used within the context of a method dispatched by the POA to obtain the POA and ObjectId that identify the object on which that operation was invoked.

Method Summary
`byte[]` | `get_object_id()` Returns the ObjectId identifying the object in whose context it is called.
`POA` | `get_POA()` Returns reference to the POA implementing the object in whose context it is called.

Method Detail

### get_POA

    public POA get_POA()
                throws NoContext

  Returns reference to the POA implementing the object in whose context it is called.

  Returns:
    The poa implementing the object
  Throws:
    `NoContext` - is raised when the operation is outside the context of a POA-dispatched operation

### get_object_id

    public byte[] get_object_id()
                         throws NoContext

  Returns the ObjectId identifying the object in whose context it is called.

  Returns:
    the ObjectId of the object
  Throws:
    `NoContext` - is raised when the operation is called outside the context of a POA-dispatched operation.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.